%define name	zeromq
%define version	3.2.3
%define release %mkrel 3

%define major	3
%define libname	%mklibname %{name} %{major}
%define develname %mklibname %{name} -d

Summary:	Software library for fast, message-based applications
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	http://download.zeromq.org/%{name}-%{version}.tar.gz
License:	LGPLv3+
Group:		Development/Other
Url:		http://www.zeromq.org
BuildRequires:	glib2-devel
BuildRequires:	libuuid-devel
BuildRequires:	python

%description
The 0MQ lightweight messaging kernel is a library which extends the
standard socket interfaces with features traditionally provided by
specialized messaging middle-ware products. 0MQ sockets provide an
abstraction of asynchronous message queues, multiple messaging
patterns, message filtering (subscriptions), seamless access to
multiple transport protocols and more.

%package -n	%{libname}
Summary: 	Software library for fast, message-based applications
Group:		System/Libraries
Obsoletes:      %{name}-utils < %{version}
Obsoletes:	%{_lib}zeromq1 >= 3.2.3

%description -n %{libname}
The 0MQ lightweight messaging kernel is a library which extends the
standard socket interfaces with features traditionally provided by
specialized messaging middle-ware products. 0MQ sockets provide an
abstraction of asynchronous message queues, multiple messaging
patterns, message filtering (subscriptions), seamless access to
multiple transport protocols and more.

This package contains the ${name} shared library.

%package -n	%{develname}
Summary: 	Development files for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{develname}
The 0MQ lightweight messaging kernel is a library which extends the
standard socket interfaces with features traditionally provided by
specialized messaging middle-ware products. 0MQ sockets provide an
abstraction of asynchronous message queues, multiple messaging
patterns, message filtering (subscriptions), seamless access to
multiple transport protocols and more.

This package contains the libraries and header files needed to develop
applications that use %{name}.

%prep
%setup -q

%build
export CFLAGS="$CFLAGS -fno-strict-aliasing"
%configure2_5x --with-pgm --disable-static
%make

%install
%makeinstall_std
rm -f %{buildroot}%{_libdir}/*.la

%files -n %{libname}
%doc AUTHORS ChangeLog COPYING* NEWS README
%{_libdir}/libzmq.so.%{major}
%{_libdir}/libzmq.so.%{major}.*

%files -n %{develname}
%{_libdir}/libzmq.so
%{_libdir}/pkgconfig/libzmq.pc
%{_includedir}/zmq*
%{_mandir}/man3/zmq*
%{_mandir}/man7/zmq*


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 3.2.3-3.mga4
+ Revision: 527503
- Mageia 4 Mass Rebuild

* Sat Jun 08 2013 fwang <fwang> 3.2.3-2.mga4
+ Revision: 440416
- bump req
- lock libmajor

* Sun Jun 02 2013 kharec <kharec> 3.2.3-1.mga4
+ Revision: 434854
- new version 3.2.3

* Mon Jan 14 2013 umeabot <umeabot> 2.2.0-2.mga3
+ Revision: 387668
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Aug 13 2012 lebedov <lebedov> 2.2.0-1.mga3
+ Revision: 281133
- Update to 2.2.0.

* Mon Dec 19 2011 lebedov <lebedov> 2.1.11-1.mga2
+ Revision: 184113
- Update to 2.1.11.

* Mon Oct 03 2011 lebedov <lebedov> 2.1.10-1.mga2
+ Revision: 151318
- Update to 2.1.10.

* Tue Sep 06 2011 tv <tv> 2.1.9-1.mga2
+ Revision: 139458
- new release

* Sat Apr 30 2011 pterjan <pterjan> 2.1.6-1.mga1
+ Revision: 93609
- Update to 2.1.6 which is in mdv backports

* Mon Apr 18 2011 dams <dams> 2.1.4-4.mga1
+ Revision: 87825
- Add a 'Provides: ' to remove the old zeromq-utils (lib package)

* Fri Apr 15 2011 dams <dams> 2.1.4-3.mga1
+ Revision: 85568
+ rebuild (emptylog)

* Thu Apr 14 2011 dams <dams> 2.1.4-2.mga1
+ Revision: 85012
+ rebuild (emptylog)

* Thu Apr 14 2011 dams <dams> 2.1.4-1.mga1
+ Revision: 84840
- update to 2.1.4

* Mon Jan 31 2011 dmorgan <dmorgan> 2.0.10-1.mga1
+ Revision: 45309
- imported package zeromq


* Tue Nov 02 2010 Lev Givon <lev@mandriva.org> 2.0.10-1mdv2011.0
+ Revision: 592249
- import zeromq


